TICKIT_TERM_SCROLLRECT(3)

NAME
tickit_term_scrollrect - scroll a region of the terminal

SYNOPSIS
    #include <tickit.h>

    bool tickit_term_scrollrect(TickitTerm *tt, TickitRect rect,
        int downward, int rightward);

Link with -ltickit.

DESCRIPTION
tickit_term_scrollrect() attempts to scroll a rectangular region of the terminal by a given offset, efficiently moving content within the display. Whether or not this is possible depends on the type of terminal and what region and offset were specified. This function returns a true value if this operation was successful. If it was not possible to perform the scroll, it will return false without modifying the terminal. In this situation, the application must fall back to re-drawing the affected region with new content.

RETURN VALUE
tickit_term_scrollrect() returns a boolean indicating if the scrolling operation was successful.

SEE ALSO
tickit_term_new(3), tickit_term_goto(3), tickit_term_print(3), tickit_term_setpen(3), tickit_term_chpen(3), tickit_term(7), tickit(7)